using System.Collections.Generic;

public class StoryInfo : HeaderData
{
	public List<StoryChapterData> ChapterDataList { get; set; } = new List<StoryChapterData>();

	public bool IsPreBuildDeck { get; set; }

	public bool IsTrialDeck { get; set; }

	public bool IsStoryBattleDone { get; set; }

	public StoryChapterData FindChapterData(string chapterId)
	{
		return ChapterDataList.Find((StoryChapterData x) => x.ChapterId == chapterId);
	}
}
